summaryrefslogtreecommitdiff
path: root/util/buildbot
diff options
context:
space:
mode:
authorPerttu Ahola <celeron55@gmail.com>2013-03-21 19:45:13 +0200
committerPerttu Ahola <celeron55@gmail.com>2013-03-21 19:45:20 +0200
commit0a568a6037a6e97ffff747fbb7bcb04d0f9c4b16 (patch)
tree3feb3d570eda1ab47afd45a04466ed7b8c1051c2 /util/buildbot
parent0747c285cd383925f94268259ef0f0693e2d3439 (diff)
downloadminetest-0a568a6037a6e97ffff747fbb7bcb04d0f9c4b16.tar.gz
minetest-0a568a6037a6e97ffff747fbb7bcb04d0f9c4b16.tar.bz2
minetest-0a568a6037a6e97ffff747fbb7bcb04d0f9c4b16.zip
Update buildwin32.sh to get minetest/common
Diffstat (limited to 'util/buildbot')
-rwxr-xr-xutil/buildbot/buildwin32.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/util/buildbot/buildwin32.sh b/util/buildbot/buildwin32.sh
index fc42db8a7..0c0d7cf21 100755
--- a/util/buildbot/buildwin32.sh
+++ b/util/buildbot/buildwin32.sh
@@ -53,6 +53,9 @@ cd $builddir
wget http://github.com/minetest/minetest/zipball/master \
-c -O $packagedir/minetest.zip --tries=3 || (echo "Please download http://github.com/minetest/minetest/zipball/master manually and save it as $packagedir/minetest.zip"; read -s)
[ -e $packagedir/minetest.zip ] || (echo "minetest.zip not found"; exit 1)
+wget http://github.com/minetest/common/zipball/master \
+ -c -O $packagedir/common.zip --tries=3 || (echo "Please download http://github.com/minetest/common/zipball/master manually and save it as $packagedir/common.zip"; read -s)
+[ -e $packagedir/common.zip ] || (echo "common.zip not found"; exit 1)
wget http://github.com/minetest/minetest_game/zipball/master \
-c -O $packagedir/minetest_game.zip --tries=3 || (echo "Please download http://github.com/minetest/minetest_game/zipball/master manually and save it as $packagedir/minetest_game.zip"; read -s)
[ -e $packagedir/minetest_game.zip ] || (echo "minetest_game.zip not found"; exit 1)
@@ -66,6 +69,7 @@ wget http://github.com/minetest/minetest_game/zipball/master \
minetestdirname=`unzip -l $packagedir/minetest.zip | head -n 7 | tail -n 1 | sed -e 's/^[^m]*//' -e 's/\/.*$//'`
minetestdir=$builddir/$minetestdirname || exit 1
git_hash=`echo $minetestdirname | sed -e 's/minetest-minetest-//'`
+commondirname=`unzip -l $packagedir/common.zip | head -n 7 | tail -n 1 | sed -e 's/^[^m]*//' -e 's/\/.*$//'`
minetest_gamedirname=`unzip -l $packagedir/minetest_game.zip | head -n 7 | tail -n 1 | sed -e 's/^[^m]*//' -e 's/\/.*$//'`
# Extract stuff
@@ -86,6 +90,13 @@ unzip -o $packagedir/minetest.zip || exit 1
rm -rf $builddir/minetest
ln -s $minetestdir $builddir/minetest
+# Extract common
+cd $minetestdir/games || exit 1
+rm -rf common || exit 1
+unzip -o $packagedir/common.zip || exit 1
+commondir=$minetestdir/games/$commondirname || exit 1
+mv $commondir $minetestdir/games/common || exit 1
+
# Extract minetest_game
cd $minetestdir/games || exit 1
rm -rf minetest_game || exit 1